> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Facility Types / List

> Reference list of facility types used to classify charging locations. Required permission: asset:facility_types:list. Available contexts: API Key, User.



## OpenAPI

````yaml /api/core-api/crmiapi.json get /api/v1/assets/facility-types
openapi: 3.2.0
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.141.0
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/facility-types:
    get:
      tags:
        - Facility Types
      summary: Facility Types / List
      description: >-
        Reference list of facility types used to classify charging locations.
        Required permission: asset:facility_types:list. Available contexts: API
        Key, User.
      operationId: /api/v1/assets/facility-types_GET
      parameters:
        - name: Accept-Language
          in: header
          description: BCP 47 language tag for content negotiation (e.g. en, de-DE).
          required: false
          schema:
            type: string
            description: BCP 47 language tag for content negotiation (e.g. en, de-DE).
            example: en
      responses:
        '200':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - facility_types
                properties:
                  facility_types:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          maxLength: 36
                          description: Stable UUID of the facility type.
                        name:
                          type: string
                          maxLength: 30
                          description: >-
                            Display name of the facility type (e.g. "parking
                            garage", "public street").
                      required:
                        - uuid
                        - name
                      description: FacilityType
                    description: All supported facility types.
          description: Facility type collection.
        '401':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Unauthorized
        '403':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Forbidden
        '405':
          headers:
            Content-Language:
              description: The locale of the response content (BCP 47 language tag).
              required: false
              schema:
                type: string
                example: en
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
          description: Method not allowed
      security:
        - bearer:
            - asset:facility_types
components:
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [PlugTypes / List](https://chargecloud.dev/api-reference/plugtypes/plugtypes-list.md)
- [Locations / List](https://chargecloud.dev/api-reference/locations/locations-list.md)
- [Commands / List](https://chargecloud.dev/api-reference/commands/commands-list.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.